Page MenuHomePhabricator

Visual Diff showing raw HTML after switching back from NWE
Closed, ResolvedPublic1 Story Points

Description

Steps to reproduce:

  1. Open VE
  2. Make some changes
  3. Go to visual diff section and see that everything looks fine
  4. Resume Editing

5.Switch to NWE

  1. Switch back to VE
  2. Open visual diff again

Observe that, on the right side of the dialog it is showing raw HTML which does not look like relevant to the change.

Event Timeline

Ryasmeen created this task.Apr 26 2017, 9:19 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 26 2017, 9:19 PM
Esanders renamed this task from [Regression pre-wmf.22] Visual Diff showing raw HTML after switching back from NWE to Visual Diff showing raw HTML after switching back from NWE.Apr 27 2017, 1:03 PM

Change 350550 had a related patch set uploaded (by Esanders; owner: Esanders):
[VisualEditor/VisualEditor@master] VisualDiff: Don't describe internalItem changes

https://gerrit.wikimedia.org/r/350550

Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF set the point value for this task to 1.
Jdforrester-WMF moved this task from To Triage to TR6: Visual diffs on the VisualEditor board.

Change 350550 merged by jenkins-bot:
[VisualEditor/VisualEditor@master] VisualDiff: Don't describe internalItem changes

https://gerrit.wikimedia.org/r/350550

Change 350859 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (a5deb2b73)

https://gerrit.wikimedia.org/r/350859

Change 350859 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] Update VE core submodule to master (3b8a164a3)

https://gerrit.wikimedia.org/r/350859

Jdforrester-WMF closed this task as Resolved.May 1 2017, 9:31 PM
Jdforrester-WMF removed a project: Patch-For-Review.
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMay 1 2017, 9:31 PM